Class | Ferret::Search::MatchAllQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

MatchAllQuery matches all documents in the index. You might want use this query in combination with a filter, however, ConstantScoreQuery is probably better in that circumstance.

### Methods

new

### Public Class methods

MatchAllQuery.new → query

Create a query which matches all documents.

[Validate]